/*
  Copyright (C) 2010-2011  Charles Pence <charles@charlespence.net>
  Copyright (C) 1996-1997  Id Software, Inc.

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

typedef struct glpic_s
{
    char identifier[128];
    GLuint texnum;
    unsigned wad_width, wad_height;
    struct glpic_s *next;
} glpic_t;


void Draw_Init(void);
void Draw_Shutdown(void);

void GL_Set2D (void);
void Draw_Character (int x, int y, int num);
void Draw_Pic (int x, int y, glpic_t *pic);
void Draw_TransPicTranslate (int x, int y, glpic_t *pic, byte *translation);
void Draw_ConsoleBackground (int lines);
void Draw_Fill (int x, int y, int w, int h, int c);
void Draw_FadeScreen (void);
void Draw_String (int x, int y, char *str);
glpic_t *Draw_PicFromWad (const char *name);
glpic_t *Draw_PicFromFile (const char *path);
